function Tig(){}
function Zig(){}
function Jig(a){this.a=a}
function Lig(a){this.a=a}
function Xig(a){this.a=a}
function Sig(a,b){i_f(a.a,b)}
function njg(a){var b;if(!a.d){b=new Tig;a.d=b}return a.d}
function Vig(){_oe.call(this,G$j,'Persistence Inheritance')}
function Eig(a){var b;b=lBh(a.b.a,Dvf(),sM(v1c,Qxj,1,[]));f8i(X7i(b,OGj),N_j);Unj(new lnj(b),new Jig(a))}
function Gig(a,b,d,e){wGd.call(this,a,b,d);this.c=e;this.b=new x0i(LLb,(wBh(),rBh).Nc(LLb),vBh.Nc(LLb));this.a=new M0i(LLb)}
function mjg(a){var b;if(!a.c){b=new Gig(GFd(zce(a.a)),njg(a),ljg(a),(woj(fee(a.a)),AMg(tde(a.a))),y1i(dee(a.a)));SFd((Ace(a.a),b),PGd(Ace(a.a)));a.c=b}return a.c}
function Fig(a,b){var d;d=B0i(a.a,b,lBh(a.b.a,Dvf(),sM(v1c,Qxj,1,[])),sM(o2c,Ixj,280,[]));if(b.Kc(LMj)&&Ch(b.Nc(LMj),mAj)){b.Qc(LMj);l8i(X7i(d,MMj),(pmj(),omj))}Unj(new lnj(d),new Lig(a))}
function Iig(a,b){var d,e;e=Onj(b);if(e.b.kN(jHj)&&X7i(e,jHj).b.b!=(pmj(),omj)&&!GPd(X7i(e,jHj).b.cf(),kHj)){GYd(S_j+(BYd(),'Loading JPA Subsystem'))}else{d=C0i(a.a.a,X7i(e,XGj).b.dN());Sig(a.a.A,d)}}
E3c(3568,1013,Pyj,Gig);_.Ui=function(){this.A.b=this};_.Zi=function(){Eig(this)};_.bj=function(){Gvf(this.c,this)};E3c(3569,1299,{},Jig);_.fh=function(a){Iig(this,a)};E3c(3570,1299,{},Lig);_.fh=function(a){var b;b=Onj(a);b.b.kN(jHj)&&X7i(b,jHj).b.b!=(pmj(),omj)&&!GPd(X7i(b,jHj).b.cf(),kHj)?HYd(X0j+(BYd(),ldk),Z7i(b)):IYd(Y0j+(BYd(),ldk));Eig(this.a)};E3c(3573,1416,Oyj,Tig);_.Ch=function(){var a,b,d,e,g,i;this.a=new p_f(LLb);a=new aie(LMj,mdk,false);g=new Vig;$oe(g,sM(v1c,Qxj,1,['DEEP','SHALLOW']));y1d(this.a,_Gj,sM(m2c,xzj,261,[a,g]));w1d(this.a,false);d=new d1i(this.a,new Xig(this));e=new J2e(new Zig,this.a);b=QBe(SBe(RBe(new UBe,this.a),e));i=uCe(zCe(yCe(vCe(wCe(BCe(new CCe,s2j),ldk),(BYd(),'The configuration of the JPA subsystem.')),G2j,b),b1i(d)));return i};E3c(3574,1676,Dzj,Vig);_.ck=function(){return false};E3c(3575,1,{},Xig);_.Hk=function(a){Fig(this.a.b,(this.a.a.c,a))};E3c(3576,1,{},Zig);_.cl=function(){var a;a=Dvf();g8i(L7i(a),dIj,qFj);return a};E3c(3582,1,vzj);_.ud=function(){oHd(this.b,mjg(this.a.a))};var DLb=iOd(3568),zLb=iOd(3569),ALb=iOd(3570),HLb=iOd(3573),ELb=iOd(3574),FLb=iOd(3575),GLb=iOd(3576);hAj(np)(55);